Subject: 回复:[Dime] Diameter Event-Timestamp

From: lijijun 41867 <[email-masked]>
Date: Thu, 09 Nov 2006 20:59:48 +0800

>Paulo Rolo writed:
>I have a question concerning Diameter Event-Timestamp AVP data type. 
>
>RFC 3588 states that its type is Time, and the same rfc presents Time as derived from >OctectString. However, I have found that several Diameter implementations use Unsigned32 >type.

some Diameter implementations use Unsigned32 as Time type ,just because it is easy to transform between Unsigned32 and OctectString. On the case of the four octets and actual time format(NTP Timestamp format),it don't arose errors.

Note that,RFC2030 
NTP timestamps are represented as a 64-bit unsigned
   fixed-point number, in seconds relative to 0h on 1 January 1900. The
   integer part is in the first 32 bits and the fraction part in the
   last 32 bits. In the fraction part, the non-significant low order can
   be set to 0.

         Jimmy li
Hello all,

I have a question concerning Diameter Event-Timestamp AVP data type. 

RFC 3588 states that its type is Time, and the same rfc presents Time as
derived from OctectString. However, I have found that several Diameter
implementations use Unsigned32 type. 

Thanks in advance,

Paulo Rolo

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime
_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime